summaryrefslogtreecommitdiff
path: root/include
diff options
context:
space:
mode:
Diffstat (limited to 'include')
-rw-r--r--include/fw/vendor.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/include/fw/vendor.sh b/include/fw/vendor.sh
index a928171b..1692c88d 100644
--- a/include/fw/vendor.sh
+++ b/include/fw/vendor.sh
@@ -163,7 +163,7 @@ fetch()
mkdst()
{
- if ! bad_checksum "$1" "$2" 2>/dev/null; then
+ if ! bad_checksum "$1" "$2"; then
x_ mv "$2" "$_dl_bin"
x_ cp "$_dl_bin" "$_dest"
exit 1
@@ -419,7 +419,8 @@ bootstrap()
x_ "$mk" -f coreboot "${cbdir##*/}"
x_ "$mk" -f me_cleaner
- forx 'x_ \"$mk\" -b %s' bios_extract biosutilities uefitool libarchive
+ forx 'x_ \"$mk\" -b %s' biosutilities uefitool libarchive
+ x_ "$mk" -f bios_extract # C util not needed. only python scripts.
[ -d "${kbc1126_ec_dump%/*}" ] && \
x_ make -C "$cbdir/util/kbc1126"